Weekly Vulnerabilities Reports > June 17 to 23, 2002

Overview

51 new vulnerabilities reported during this period, including 2 critical vulnerabilities and 25 high severity vulnerabilities. This weekly summary report vulnerabilities in 35 products from 31 vendors including Workforceroi, HP, AOL, Ethereal Group, and Snapgear. Vulnerabilities are notably categorized as "Resource Exhaustion", and "Information Exposure".

  • 47 reported vulnerabilities are remotely exploitables.
  • 51 reported vulnerabilities are exploitable by an anonymous user.
  • Workforceroi has the most reported vulnerabilities, with 6 reported vulnerabilities.
  • Dnstools Software has the most reported critical vulnerabilities, with 1 reported vulnerabilities.

TOTAL
VULNERABILITIES
CRITICAL RISK
VULNERABILITIES
HIGH RISK
VULNERABILITIES
MEDIUM RISK
VULNERABILITIES
LOW RISK
VULNERABILITIES
REMOTELY
EXPLOITABLE
LOCALLY
EXPLOITABLE
EXPLOIT
AVAILABLE
EXPLOITABLE
ANONYMOUSLY
AFFECTING
WEB APPLICATION

Vulnerability Details

The following table list reported vulnerabilities for the period covered by this report:

Expand/Hide

2 Critical Vulnerabilities

DATE CVE VENDOR VULNERABILITY CVSS
2002-06-18 CVE-2002-0613 Dnstools Software Authentication Bypass vulnerability in Dnstools Software Dnstools 2.0Beta3/2.0Beta4

dnstools.php for DNSTools 2.0 beta 4 and earlier allows remote attackers to bypass authentication and gain privileges by setting the user_logged_in or user_dnstools_administrator parameters.

10.0
2002-06-18 CVE-2002-0599 Blahz DNS Authentication Bypass vulnerability in Blahz-Dns 0.2

Blahz-DNS 0.2 and earlier allows remote attackers to bypass authentication and modify configuration by directly requesting CGI programs such as dostuff.php instead of going through the login screen.

10.0

25 High Vulnerabilities

DATE CVE VENDOR VULNERABILITY CVSS
2002-06-18 CVE-2002-0612 Craig Patchett Unspecified vulnerability in Craig Patchett Fileseek

FileSeek.cgi allows remote attackers to execute arbitrary commands via shell metacharacters in the (1) head or (2) foot parameters.

7.5
2002-06-18 CVE-2002-0610 HP Unspecified vulnerability in HP MPE IX 6.0/6.5/7.0

Vulnerability in FTPSRVR in HP MPE/iX 6.0 through 7.0 does not properly validate certain FTP commands, which allows attackers to gain privileges.

7.5
2002-06-18 CVE-2002-0608 Matu Buffer Overflow vulnerability in Matu FTP 1.74

Buffer overflow in Matu FTP client 1.74 allows remote FTP servers to execute arbitrary code via a long "220" banner.

7.5
2002-06-18 CVE-2002-0607 Snitz Communications SQL Injection vulnerability in Snitz Forums 2000 Members.ASP

members.asp in Snitz Forums 2000 version 3.3.03 and earlier allows remote attackers to execute arbitrary code via a SQL injection attack on the parameters (1) M_NAME, (2) UserName, (3) FirstName, (4) LastName, or (5) INITIAL.

7.5
2002-06-18 CVE-2002-0606 3Com Buffer Overflow vulnerability in 3Com 3Cdaemon 2.0

Buffer overflow in 3Cdaemon 2.0 FTP server allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via long commands such as login.

7.5
2002-06-18 CVE-2002-0605 Macromedia Buffer Overflow vulnerability in Macromedia Flash Player 6.0

Buffer overflow in Flash OCX for Macromedia Flash 6 revision 23 (6,0,23,0) allows remote attackers to execute arbitrary code via a long movie parameter.

7.5
2002-06-18 CVE-2002-0600 KTH
Luke Mewburn
Heap Overflow vulnerability in KTH eBones Kerberos4 FTP Client Passive Mode

Heap overflow in the KTH Kerberos 4 FTP client 4-1.1.1 allows remote malicious servers to execute arbitrary code on the client via a long response to a passive (PASV) mode request.

7.5
2002-06-18 CVE-2002-0598 Foundstone Unspecified vulnerability in Foundstone Fscan 1.12

Format string vulnerability in Foundstone FScan 1.12 with banner grabbing enabled allows remote attackers to execute arbitrary code on the scanning system via format string specifiers in the server banner.

7.5
2002-06-18 CVE-2002-0595 Webtrends Buffer Overflow vulnerability in Webtrends Reporting Center 4.0D

Buffer overflow in WTRS_UI.EXE (WTX_REMOTE.DLL) for WebTrends Reporting Center 4.0d allows remote attackers to execute arbitrary code via a long HTTP GET request to the /reports/ directory.

7.5
2002-06-18 CVE-2002-0593 Mozilla
Netscape
Buffer Overflow vulnerability in Netscape/Mozilla IRC

Buffer overflow in Netscape 6 and Mozilla 1.0 RC1 and earlier allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long channel name in an IRC URI.

7.5
2002-06-18 CVE-2002-0592 AOL Unspecified vulnerability in AOL Instant Messenger

AOL Instant Messenger (AIM) allows remote attackers to steal files that are being transferred to other clients by connecting to port 4443 (Direct Connection) or port 5190 (file transfer) before the intended user.

7.5
2002-06-18 CVE-2002-0590 Icredibb Unspecified vulnerability in Icredibb 1.1Beta

Cross-site scripting (CSS) vulnerability in IcrediBB 1.1 Beta allows remote attackers to execute arbitrary script and steal cookies as other IcrediBB users via the (1) title or (2) body of posts.

7.5
2002-06-18 CVE-2002-0589 Steve Korbett Unspecified vulnerability in Steve Korbett Pvote

PVote before 1.9 allows remote attackers to change the administrative password and gain privileges by directly calling ch_info.php with the newpass and confirm parameters both set to the new password.

7.5
2002-06-18 CVE-2002-0587 AOL Denial-Of-Service vulnerability in Aol Server

Buffer overflow in Ns_PdLog function for the external database driver proxy daemon library (libnspd.a) of AOLServer 3.0 through 3.4.2 allows remote attackers to cause a denial of service or execute arbitrary code via the Error or Notice parameters.

7.5
2002-06-18 CVE-2002-0586 AOL Unspecified vulnerability in AOL Server

Format string vulnerability in Ns_PdLog function for the external database driver proxy daemon library (libnspd.a) of AOLServer 3.0 through 3.4.2 allows remote attackers to execute arbitrary code via the Error or Notice parameters.

7.5
2002-06-18 CVE-2002-0581 Workforceroi SQL Injection vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 allows remote attackers to execute arbitrary SQL commands and read, modify, or steal credentials from the database via the Qry parameter in the sprc.asp script.

7.5
2002-06-18 CVE-2002-0580 Workforceroi Information Disclosure vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 allows remote attackers to obtain the database username via a request to datasource.asp, which leaks the username in a form and allows the attacker to more easily conduct brute force password guessing attacks.

7.5
2002-06-18 CVE-2002-0579 Workforceroi Unspecified vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 allows remote attackers to gain privileges as an Xpede administrator via a direct HTTP request to the /admin/adminproc.asp script, which does not prompt for a password.

7.5
2002-06-18 CVE-2002-0578 ACI Unspecified vulnerability in ACI 4D Webserver 6.5.7

Buffer overflow in 4D WebServer 6.7.3 allows remote attackers to cause a denial of service and possibly execute arbitrary code via an HTTP request with Basic Authentication containing a long (1) user name or (2) password.

7.5
2002-06-18 CVE-2002-0575 Openbsd Buffer Overflow vulnerability in OpenSSH Kerberos 4 TGT/AFS Token

Buffer overflow in OpenSSH before 2.9.9, and 3.x before 3.2.1, with Kerberos/AFS support and KerberosTgtPassing or AFSTokenPassing enabled, allows remote and local authenticated users to gain privileges.

7.5
2002-06-18 CVE-2002-0402 Ethereal Group Buffer Overflow vulnerability in Ethereal X11 Dissector

Buffer overflow in X11 dissector in Ethereal 0.9.3 and earlier allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code while Ethereal is parsing keysyms.

7.5
2002-06-18 CVE-2002-0401 Ethereal Group Denial Of Service vulnerability in Ethereal Server Message Block Dissector Malformed Packet

SMB dissector in Ethereal 0.9.3 and earlier allows remote attackers to cause a denial of service (crash) or execute arbitrary code via malformed packets that cause Ethereal to dereference a NULL pointer.

7.5
2002-06-18 CVE-2002-0388 GNU HTML Injection vulnerability in GNU Mailman Pipermail Index Summary

Cross-site scripting vulnerabilities in Mailman before 2.0.11 allow remote attackers to execute script via (1) the admin login page, or (2) the Pipermail index summaries.

7.5
2002-06-18 CVE-2002-0380 LBL Buffer Overflow vulnerability in LBL TCPDump

Buffer overflow in tcpdump 3.6.2 and earlier allows remote attackers to cause a denial of service and possibly execute arbitrary code via an NFS packet.

7.5
2002-06-18 CVE-2002-0357 SGI Buffer Overflow vulnerability in SGI IRIX rpc.passwd

Unknown vulnerability in rpc.passwd in the nfs.sw.nis subsystem of SGI IRIX 6.5.15 and earlier allows local users to gain root privileges.

7.2

21 Medium Vulnerabilities

DATE CVE VENDOR VULNERABILITY CVSS
2002-06-18 CVE-2002-0614 PHP Survey Information Disclosure vulnerability in PHP-Survey Global.INC

PHP-Survey 20000615 and earlier stores the global.inc file under the web root, which allows remote attackers to obtain sensitive information, including database credentials, if .inc files are not preprocessed by the server.

5.0
2002-06-18 CVE-2002-0611 Craig Patchett Unspecified vulnerability in Craig Patchett Fileseek

Directory traversal vulnerability in FileSeek.cgi allows remote attackers to read arbitrary files via a ....// (modified dot dot) in the (1) head or (2) foot parameters, which are not properly filtered.

5.0
2002-06-18 CVE-2002-0609 HP Denial of Service vulnerability in HP MPE IX 6.0/6.5/7.0

Vulnerability in HP MPE/iX 6.0 through 7.0 allows attackers to cause a denial of service (system failure with "SA1457 out of i_port_timeout.fix_up_message_frame") via malformed IP packets.

5.0
2002-06-18 CVE-2002-0604 Snapgear Denial of Service vulnerability in Snapgear Lite+ Firewall 1.5.3/1.5.4

Snapgear Lite+ firewall 1.5.3 and 1.5.4 allows remote attackers to cause a denial of service (crash) via a large number of packets with malformed IP options.

5.0
2002-06-18 CVE-2002-0603 Snapgear Denial of Service vulnerability in Snapgear Lite+ Firewall 1.5.3

Snapgear Lite+ firewall 1.5.3 allows remote attackers to cause a denial of service (IPSEC crash) via a zero length packet to UDP port 500.

5.0
2002-06-18 CVE-2002-0602 Snapgear Denial of Service vulnerability in Snapgear Lite+ Firewall 1.5.3/1.5.4

Snapgear Lite+ firewall 1.5.4 and 1.5.3 allows remote attackers to cause a denial of service (crash) via a large number of connections to (1) the HTTP web management port, or (2) the PPTP port.

5.0
2002-06-18 CVE-2002-0601 Information Security Systems Remote Denial Of Service vulnerability in ISS RealSecure DHCP Signature

ISS RealSecure Network Sensor 5.x through 6.5 allows remote attackers to cause a denial of service (crash) via malformed DHCP packets that cause RealSecure to dereference a null pointer.

5.0
2002-06-18 CVE-2002-0597 Microsoft Denial of Service vulnerability in Microsoft Windows 2000 Lanman

LANMAN service on Microsoft Windows 2000 allows remote attackers to cause a denial of service (CPU/memory exhaustion) via a stream of malformed data to microsoft-ds port 445.

5.0
2002-06-18 CVE-2002-0596 Webtrends Information Exposure vulnerability in Webtrends Reporting Center 4.0D

WebTrends Reporting Center 4.0d allows remote attackers to determine the real path of the web server via a GET request to get_od_toc.pl with an empty Profile parameter, which leaks the pathname in an error message.

5.0
2002-06-18 CVE-2002-0594 Galeon
Mozilla
Netscape
Local File Detection vulnerability in Netscape/Mozilla/Galeon

Netscape 6 and Mozilla 1.0 RC1 and earlier allows remote attackers to determine the existence of files on the client system via a LINK element in a Cascading Style Sheet (CSS) page that causes an HTTP redirect.

5.0
2002-06-18 CVE-2002-0591 AOL Unspecified vulnerability in AOL Instant Messenger

Directory traversal vulnerability in AOL Instant Messenger (AIM) 4.8 beta and earlier allows remote attackers to create arbitrary files and execute commands via a Direct Connection with an IMG tag with a SRC attribute that specifies the target filename.

5.0
2002-06-18 CVE-2002-0588 Steve Korbett Unspecified vulnerability in Steve Korbett Pvote

PVote before 1.9 does not authenticate users for restricted operations, which allows remote attackers to add or delete polls by modifying parameters to (1) add.php or (2) del.php.

5.0
2002-06-18 CVE-2002-0585 HP Denial of Service vulnerability in HP Hp-Ux 11.11

Unknown vulnerability in ndd for HP-UX 11.11 with certain TRANSPORT patches allows attackers to cause a denial of service.

5.0
2002-06-18 CVE-2002-0584 Workforceroi Unspecified vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 allows remote attackers to read user timesheets by modifying the TSN ID parameter to the ts_app_process.asp script, which is easily guessable because it is incremented by 1 for each new timesheet.

5.0
2002-06-18 CVE-2002-0583 Workforceroi Unspecified vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 uses a small random namespace (5 alphanumeric characters) for temporary expense claim reports in the /reports/temp directory, which allows remote attackers to read the reports via a brute force attack.

5.0
2002-06-18 CVE-2002-0582 Workforceroi Unspecified vulnerability in Workforceroi Xpede 4.1

WorkforceROI Xpede 4.1 stores temporary expense claim reports in a world-readable and indexable /reports/temp directory, which allows remote attackers to read the reports by accessing the directory.

5.0
2002-06-18 CVE-2002-0576 Allaire Information Disclosure vulnerability in Allaire Coldfusion Server 4.0/4.5/5.0

ColdFusion 5.0 and earlier on Windows systems allows remote attackers to determine the absolute pathname of .cfm or .dbm files via an HTTP request that contains an MS-DOS device name such as NUL, which leaks the pathname in an error message.

5.0
2002-06-18 CVE-2002-0404 Ethereal Group Unspecified vulnerability in Ethereal Group Ethereal

Vulnerability in GIOP dissector in Ethereal before 0.9.3 allows remote attackers to cause a denial of service (memory consumption).

5.0
2002-06-18 CVE-2002-0403 Ethereal Group Denial of Service vulnerability in Ethereal DNS Dissector Infinite Loop

DNS dissector in Ethereal before 0.9.3 allows remote attackers to cause a denial of service (CPU consumption) via a malformed packet that causes Ethereal to enter an infinite loop.

5.0
2002-06-18 CVE-2002-0400 ISC Remote Denial Of Service vulnerability in ISC BIND 9

ISC BIND 9 before 9.2.1 allows remote attackers to cause a denial of service (shutdown) via a malformed DNS packet that triggers an error condition that is not properly handled when the rdataset parameter to the dns_message_findtype() function in message.c is not NULL, aka DoS_findtype.

5.0
2002-06-18 CVE-2002-0368 Microsoft Resource Exhaustion vulnerability in Microsoft Exchange Server 2000

The Store Service in Microsoft Exchange 2000 allows remote attackers to cause a denial of service (CPU consumption) via a mail message with a malformed RFC message attribute, aka "Malformed Mail Attribute can Cause Exchange 2000 to Exhaust CPU Resources."

5.0

3 Low Vulnerabilities

DATE CVE VENDOR VULNERABILITY CVSS
2002-06-18 CVE-2002-0577 HP File Corruption vulnerability in HP Hp-Ux 11.0.4/11.00/11.11

Vulnerability in passwd for HP-UX 11.00 and 11.11 allows local users to corrupt the password file and cause a denial of service.

2.1
2002-06-18 CVE-2002-0389 GNU Unspecified vulnerability in GNU Mailman

Pipermail in Mailman stores private mail messages with predictable filenames in a world-executable directory, which allows local users to read private mailing list archives.

2.1
2002-06-18 CVE-2002-0042 SGI Unspecified vulnerability in SGI Irix

Vulnerability in the XFS file system for SGI IRIX before 6.5.12 allows local users to cause a denial of service (hang) by creating a file that is not properly processed by XFS.

2.1